### Method

# Gtk CellArea get_cell_allocation

#### Declaration [src]

    void
    gtk_cell_area_get_cell_allocation (
      GtkCellArea* area,
      GtkCellAreaContext* context,
      GtkWidget* widget,
      GtkCellRenderer* renderer,
      const GdkRectangle* cell_area,
      GdkRectangle* allocation
    )

#### Description [src]

Derives the allocation of `renderer` inside `area` if `area` were to be renderered in `cell_area`.

#### Parameters

`context` | `GtkCellAreaContext`
| The `GtkCellArea`Context used to hold sizes for `area`.
| The data is owned by the caller of the function.
`widget` | `GtkWidget`
| The `GtkWidget` that `area` is rendering on.
| The data is owned by the caller of the function.
`renderer` | `GtkCellRenderer`
| The `GtkCellRenderer` to get the allocation for.
| The data is owned by the caller of the function.
`cell_area` | `const GdkRectangle*`
| The whole allocated area for `area` in `widget` for this row.
| The data is owned by the caller of the function.
`allocation` | `GdkRectangle*`
| Where to store the allocation for `renderer`.
| The argument will be set by the function.
| The data is owned by the caller of the function.